# Invoice Payment Terms Invoice Payment Terms ## Gets all of the invoice payment terms in the system. - [GET /invoicePaymentTerms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/listinvoicepaymentterms.md): This method will scan all invoice payment terms and and return them to the caller. ## Creates a new invoice payment term record that does not already exist. - [POST /invoicePaymentTerms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/createinvoicepaymentterm.md): This method will auto-generate an ID and create a new invoice payment term. If an ID is specified for the invoice payment term, an error will be thrown. ## Execute Batch Operations - [POST /invoicePaymentTerms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a invoice payment term from the system by its ID. - [DELETE /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/deleteinvoicepaymentterm.md): This method will delete a invoice payment term with the specified ID. ## Returns a invoice payment term from the system by its ID. - [GET /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/getinvoicepaymentterm.md): This method will look up a invoice payment term by the specified ID and return it back. ## Partially updates a invoice payment term with the specified ID. - [PATCH /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/patchinvoicepaymentterm.md): This method will patch an existing invoice payment term with the specified ID, using the HTTP PATCH specification. ## Updates a invoice payment term with the specified ID. - [PUT /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/updateinvoicepaymentterm.md): This method will update an existing invoice payment term with the specified ID.